// vcDP5.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "vcDP5.h"
#include "vcDP5Dlg.h"
#include "SCommon.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CvcDP5App

BEGIN_MESSAGE_MAP(CvcDP5App, CWinApp)
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// CvcDP5App construction

CvcDP5App::CvcDP5App()
{
	EnableHtmlHelp();

	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CvcDP5App object

CvcDP5App theApp;
CSCommon s;

// CvcDP5App initialization

BOOL CvcDP5App::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();

	CWinApp::InitInstance();

	if (!AfxSocketInit())
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Amptek\\vcDP5"));
	s.SCAEnabled = s.profile->SCAEnabled;				// 20110810 sca support
	s.scafn.InitSCA(&s.sca, 8192);

	s.LoadProfile();
	s.strHelpFilePath = this->m_pszHelpFilePath;

	CvcDP5Dlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
