// CDppConfig.cpp : Defines the DPP Configuration Storage class.
//

#include "stdafx.h"
#include "DppConfig.h"
#include <math.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

//@doc CDppConfig

CDppConfig::CDppConfig(void)
{
	GainDelta = 1.0;
	strGainDisplayValue = "";
	isCfgChanged = false;
	isDeltaMode = false;
	PresetCountExpired = false;
	NavPanelUpdate = false;
	// HVRangeInd = 0;
	HVRangeInd = 1;  // HVRangeInd not longer used, always set to 1500v 20050606
	ScopeTriggerFalling = false;
	ScopeTriggerPosition = 2;
	MCSEnable = 1;
	isDPP5 = false;						// DPP5 20070926 initialize dpp5 indicator flag
	bGammaRadHVMode = false;
	b80MHzMode = false;
	b80MHzModeCfg = false;
	bConfigHVPolarity = true;
	bPC5Detected = false;
	bBootHVPolarity = false;
	DisplayCfg = FALSE;
	CfgReadBack = FALSE;

	DisplaySca = FALSE;
	ScaReadBack = FALSE;

	SaveCfg = FALSE;
	PrintCfg = FALSE;
	
	// DP5 oscilloscope support
	strAnalogOut = "";

	strInputOffset = "";
	strOutputOffset = "";
	strScopeGain = "";

	strTriggerSource = "";
	strTriggerPosition = "";
	strTriggerSlope = "";

	UpdateScopeCfg = FALSE;

	isPresetAcq = FALSE;


}

CDppConfig::~CDppConfig(void)
{
}
