#if !defined(AFX_McaPage_H__INCLUDED_)
#define AFX_McaPage_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// McaPage.h : header file
//

#include "CfgPropSheet.h"
#include "afxwin.h"
#include "label.h"
#include "scommon.h"

/////////////////////////////////////////////////////////////////////////////
// CMcaPage dialog

class CMcaPage : public CCfgPropPage
{
	DECLARE_DYNCREATE(CMcaPage)

// Construction
public:
	CMcaPage();
	~CMcaPage();

// Dialog Data
	//{{AFX_DATA(CMcaPage)
	//enum { IDD = IDD_MCA_PAGE };
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CMcaPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CMcaPage)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	CToolTipCtrl m_ToolTip;								// Tooltip control

public:
	void BuildToolTips();								// Tooltip control
	//CStatic m_McaPageLabel;
	CLabel m_McaPageLabel;
	//CStatic m_McaAdvancedLabel;
	CLabel m_McaAdvancedLabel;
	//CStatic m_McaStandardLabel;
	CLabel m_McaStandardLabel;
	virtual BOOL OnSetActive();
	virtual BOOL OnInitDialog();

	void InitControls();
	void InitDlgItemDMCA(HWND hDlg, DP5_CONFIGURATION cfg, int cboDP5CtrlID);
	void InitDlgItem(HWND hDlg, DP5_CONFIGURATION cfg);
	void ShowMCA8000D_Controls(int iShowWin);

	void CboUpdateDMCA(int nID_dci, int nID);
	void CboUpdate(int nID_dci);
	void TextUpdate(int nID_dci);

	afx_msg void OnCbnSelchangeOptComboPret();

	afx_msg void OnEnChangeOptTextThsl();
	afx_msg void OnCbnSelchangeOptComboMcae();
	afx_msg void OnCbnSelchangeOptComboMcac();
	afx_msg void OnCbnSelchangeOptComboGate();
	afx_msg void OnCbnSelchangeOptComboPrec();
	afx_msg void OnCbnSelchangeOptComboSoff();
	afx_msg void OnCbnSelchangeOptComboPdmd();
	afx_msg void OnEnChangeOptTextPret();
	afx_msg void OnEnChangeOptTextPrec();
	afx_msg void OnEnChangeOptTextMcst();
	afx_msg void OnEnChangeOptTextSoff();

	afx_msg void OnCbnSelchangeOptComboMcas();
	void CboTextVis(int nIdCbox, int nIdEdit, BOOL isText);

	virtual BOOL PreTranslateMessage(MSG* pMsg);
	BOOL isCEditBox(int nID);
	BOOL isCComboBox(int nID);
	afx_msg void OnEnChangeOptTextMcsl();
	afx_msg void OnEnChangeOptTextMcsh();
	afx_msg void OnEnChangeOptTextPrcl();
	afx_msg void OnEnChangeOptTextPrch();
	afx_msg void OnCbnSelchangeOptComboPrer();
	afx_msg void OnEnChangeOptTextPrer();
	afx_msg void OnCbnSelchangeOptComboPrel();
	afx_msg void OnEnChangeOptTextPrel();
	afx_msg void OnCbnSelchangeOptComboTlld();
	afx_msg void OnEnChangeOptTextTlld();
	afx_msg void OnBnClickedPresetcountcursorbutton();
	afx_msg void OnBnClickedPresetcountroibutton();

	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);

	afx_msg void OnCbnSelchangeOptComboDmcaGaia();
	afx_msg void OnCbnSelchangeOptComboDmcaPure();

	void MoveCtrl(int nID, long deltaX, long deltaY);
	void MoveCtrlEx(int nID, int nID_Left, int nID_Top);
	BOOL isDMcaControls;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_McaPage_H__INCLUDED_)
