#if !defined(AFX_PowerPage_H__INCLUDED_)
#define AFX_PowerPage_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PowerPage.h : header file
//

#include "CfgPropSheet.h"
#include "afxwin.h"
#include "label.h"

/////////////////////////////////////////////////////////////////////////////
// CPowerPage dialog

class CPowerPage : public CCfgPropPage
{
	DECLARE_DYNCREATE(CPowerPage)

// Construction
public:
	CPowerPage();
	~CPowerPage();

// Dialog Data
	//{{AFX_DATA(CPowerPage)
	//enum { IDD = IDD_POWER_PAGE };
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPowerPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPowerPage)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	CToolTipCtrl m_ToolTip;								// Tooltip control

public:
	void BuildToolTips();								// Tooltip control

	//CStatic m_PowerPageLabel;
	CLabel m_PowerPageLabel;
	//CStatic m_PowerAdvancedLabel;
	CLabel m_PowerAdvancedLabel;
	//CStatic m_PowerStandardLabel;
	CLabel m_PowerStandardLabel;
	//CStatic m_PowerHvSign1;
	CLabel m_PowerHvSign1;
	//CStatic m_PowerHvSign2;
	CLabel m_PowerHvSign2;
	//CStatic m_PowerHvWarning;
	CLabel m_PowerHvWarning;

	virtual BOOL OnSetActive();
	virtual BOOL OnInitDialog();

	void InitControls();
	void ShowMCA8000D_Controls(int iShowWin);

	void InitDlgItem(HWND hDlg, DP5_CONFIGURATION cfg);
	void CboUpdate(int nID_dci);
	void TextUpdate(int nID_dci);
	void Init_PAPS_Controls();

	afx_msg void OnCbnSelchangeOptComboPaps();
	afx_msg void OnCbnSelchangeOptComboHvse();
	afx_msg void OnCbnSelchangeOptComboTecs();
	afx_msg void OnEnChangeOptTextHvse();
	afx_msg void OnEnChangeOptTextTecs();

	void CboTextVis(int nIdCbox, int nIdEdit, BOOL isText);

	virtual BOOL PreTranslateMessage(MSG* pMsg);
	BOOL isCEditBox(int nID);
	BOOL isCComboBox(int nID);
	afx_msg void OnCbnSelchangeOptComboBoot();
	void SetHVSign(BOOL isPOS);
	afx_msg void OnBnClickedRadioHvSign1();
	afx_msg void OnBnClickedRadioHvSign2();
	BOOL isHVSignInString(CString strHV);
	BOOL isHVSignPositive(CString strHV);
	void SetHvPowerWarning();

	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PowerPage_H__INCLUDED_)
