#if !defined(AFX_ShapingPage_H__INCLUDED_)
#define AFX_ShapingPage_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShapingPage.h : header file
//

#include "CfgPropSheet.h"
#include "afxwin.h"
#include "label.h"
#include ".\dppshaping.h"

/////////////////////////////////////////////////////////////////////////////
// CShapingPage dialog

class CShapingPage : public CCfgPropPage
{
	DECLARE_DYNCREATE(CShapingPage)

// Construction
public:
	CShapingPage();
	~CShapingPage();

// Dialog Data
	//{{AFX_DATA(CShapingPage)
	//enum { IDD = IDD_SHAPING_PAGE };
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CShapingPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CShapingPage)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	CToolTipCtrl m_ToolTip;								// Tooltip control

public:
	void BuildToolTips();								// Tooltip control

	//CStatic m_ShapingPageLabel;
	CLabel m_ShapingPageLabel;
	//CStatic m_ShapingAdvancedLabel;
	CLabel m_ShapingAdvancedLabel;
	//CStatic m_ShapingStandardLabel;
	CLabel m_ShapingStandardLabel;
	virtual BOOL OnSetActive();
	virtual BOOL OnInitDialog();

	void InitControls();
	void ShowMCA8000D_Controls(int iShowWin);

	void InitDlgItem(HWND hDlg, DP5_CONFIGURATION cfg);
	void CboUpdate(int nID_dci);
	void TextUpdate(int nID_dci);

	afx_msg void OnCbnSelchangeOptComboPure();
	afx_msg void OnCbnSelchangeOptComboSctc();
	afx_msg void OnCbnSelchangeOptComboRtde();
	afx_msg void OnCbnSelchangeOptComboBlrm();
	void DisplayBlrMode();
	afx_msg void OnCbnSelchangeOptComboCusp();
	afx_msg void OnEnChangeOptTextTfla();
	afx_msg void OnEnChangeOptTextThfa();
	afx_msg void OnEnChangeOptTextTpea();
	afx_msg void OnEnChangeOptTextRtds();
	afx_msg void OnEnChangeOptTextRtdt();
	afx_msg void OnEnChangeOptTextBlrd();
	afx_msg void OnEnChangeOptTextBlru();
	afx_msg void OnEnChangeOptTextCusp();
	afx_msg void OnEnChangeOptTextPure();
	afx_msg void OnEnChangeOptTextSctc();
	afx_msg void OnCbnSelchangeOptComboClck();

	void BLRQuickSet(CString strMode, CString strDown, CString strUp);
	void CboTextVis(int nIdCbox, int nIdEdit, BOOL isText);

	virtual BOOL PreTranslateMessage(MSG* pMsg);
	BOOL isCEditBox(int nID);
	BOOL isCComboBox(int nID);

	CDppShaping RiseTop;
	CComboBox m_RiseCombo;
	CComboBox m_TopCombo;
	CComboBox m_FastPeakCombo;
	void InitFastPeakCombo();
	void InitBlrMode();

	void SetCboItem(int nID, CString strVal);
	afx_msg void OnCbnSelchangeRisecombo();
	afx_msg void OnCbnSelchangeTopcombo();

	void InitComboFromText(HWND hDlg, DP5_CONFIGURATION cfg, int nID);
	CLabel lblFPGAClk[3];							// displays dpp found by comm type
	BOOL b80MHzModeCfg_old;

	afx_msg void OnCbnSelchangeOptComboTpfa();
	afx_msg void OnBnClickedBlrquickslowbutton2();	// 20110504 replaces blr quickset

	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ShapingPage_H__INCLUDED_)
