#pragma once
#include "stdafx.h"
#include "STypes.h"

class CPlot
{
public:
	CPlot(void);
	~CPlot(void);

    double m_xCursorData;   // Cursor position (channels)

	unsigned long m_xMin;
    unsigned long m_xMax;
    unsigned long m_yMin;
    unsigned long m_yMax;

	int m_xPixels;  // Number of x-pixels
    int m_yPixels;  // Number of y-pixels

	double m_xCursorPos;    // Cursor position (pixels)
    double m_yCursorPos;

	inline int PositionToPixel(double pos);
	inline double PixelToPosition(int pixel);
	void MovePlot(int xmin, int xmax, unsigned long ymin, unsigned long ymax);
};
